%bcond_with doc
%bcond_without qt4

Name:		doxygen
Version:	1.6.3
Release:	%mkrel 1
Epoch:		1
Summary:	Doxygen is THE documentation system for C/C++
Group:		Development/Other
License:	GPL+
URL:		http://www.stack.nl/~dimitri/doxygen/
Source0:	ftp://ftp.stack.nl/pub/users/dimitri/%{name}-%{version}.src.tar.gz
Patch0:		doxygen-1.2.12-fix-latex.patch
Patch2:		doxygen-1.5.8-mandir.patch
Patch3:		doxygen-1.6.1-fix-str-fmt.patch
BuildRequires:  bison
BuildRequires:	flex
BuildRequires:	gcc-c++
BuildRequires:  png-devel
%if %with qt4
BuildRequires:  qt4-devel
%endif
%if %with doc
BuildRequires:	tetex-latex
BuildRequires:	ghostscript python
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Doxygen is a documentation system for C, C++ and IDL. It can generate
an on-line class browser (in HTML) and/or an off-line reference manual
(in LaTeX) from a set of documented source files. There is also
support for generating man lpages and for converting the generated
output into Postscript, hyperlinked PDF or compressed HTML. The
documentation is extracted directly from the sources.

Doxygen can also be configured to extract the code-structure from
undocumented source files. This can be very useful to quickly find
your way in large source distributions.

%if %with qt4
%package doxywizard
Summary: A GUI for creating and editing configuration files
Group: Development/Other
Requires: %{name} = %{epoch}:%{version}
Conflicts: %{name} < 1:1.5.7.1

%description doxywizard
Doxywizard is a GUI for creating and editing configuration files that
are used by doxygen.
%endif

%prep
%setup -q
%patch0 -p1
%patch2 -p1 -b .man
%patch3 -p0 -b .str

%{__perl} -pi -e "s|^TMAKE_CFLAGS_RELEASE.*|TMAKE_CFLAGS_RELEASE = %{optflags}|" tmake/lib/linux-g++/tmake.conf
%{__perl} -pi -e "s|/lib$|/%{_lib}|" tmake/lib/linux-g++/tmake.conf
# XXX configure is going to fail if both 32-bit and 64-bit qt3-devel
# are installed
find -type d -exec %{__chmod} 0755 {} \;
# build with system libpng
%{__rm} -rf libpng

%build
unset QTDIR
./configure --prefix %_prefix \
%if %with qt4
	--with-doxywizard
%endif

%make LFLAGS="%{?ldflags}"

%if %with doc
%{__make} docs
%{__mv} doc/float.sty latex
%{__mv} doc/fancyhdr.sty latex
%{__make} pdf
mkdir pdf
%{__mv} latex/doxygen_manual.pdf pdf
%endif

%install
%{__rm} -rf %{buildroot}
make install INSTALL=%{buildroot}%{_prefix}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%if %with doc
%doc html examples pdf
%endif
%doc README
%{_bindir}/doxygen
%{_bindir}/doxytag
%{_mandir}/man1/doxygen.1*
%{_mandir}/man1/doxytag.1*

%if %with qt4
%files doxywizard
%defattr(-,root,root)
%{_bindir}/doxywizard
%{_mandir}/man1/doxywizard*
%endif


%changelog
* Sun Feb 21 2010 Funda Wang <fwang@mandriva.org> 1:1.6.3-1mdv2010.1
+ Revision: 509120
- New version 1.6.3

* Wed Dec 30 2009 Frederik Himpe <fhimpe@mandriva.org> 1:1.6.2-1mdv2010.1
+ Revision: 484030
- update to new version 1.6.2

* Sun Nov 15 2009 Funda Wang <fwang@mandriva.org> 1:1.6.1-1mdv2010.1
+ Revision: 466225
- New version 1.6.1

* Fri May 01 2009 Frederik Himpe <fhimpe@mandriva.org> 1:1.5.9-1mdv2010.0
+ Revision: 369728
- update to new version 1.5.9

* Tue Jan 13 2009 Pixel <pixel@mandriva.com> 1:1.5.8-3mdv2009.1
+ Revision: 328890
- really fix format-error patch

* Mon Jan 12 2009 Pixel <pixel@mandriva.com> 1:1.5.8-2mdv2009.1
+ Revision: 328706
- fix format-error patch

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 1:1.5.8-1mdv2009.1
+ Revision: 320020
- build qt4 doxywizard
- fix qt4 dir
- fix str fmt
- do not build doc now
- New version 1.5.8

* Wed Nov 26 2008 Funda Wang <fwang@mandriva.org> 1:1.5.7.1-2mdv2009.1
+ Revision: 306904
- conflicts wit old packages
- only use pkg-config to find qt3
- use ldflags
- fix manpage dir

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 1.5.7.1

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

* Sun May 18 2008 David Walluck <walluck@mandriva.org> 1:1.5.6-1mdv2009.0
+ Revision: 208769
- BuildRequires: bison
- use %%bcond_without for doc building

  + Funda Wang <fwang@mandriva.org>
    - update to new version 1.5.6

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:1.5.5-2mdv2008.1
+ Revision: 170799
- rebuild

* Sun Feb 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.5.5-1mdv2008.1
+ Revision: 164911
- update to new version 1.5.5

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Sat Oct 27 2007 Funda Wang <fwang@mandriva.org> 1:1.5.4-1mdv2008.1
+ Revision: 102546
- New version 1.5.4

* Fri Jul 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.5.3-1mdv2008.0
+ Revision: 56340
- new version

* Fri Apr 20 2007 Olivier Blin <oblin@mandriva.com> 1:1.5.2-1mdv2008.0
+ Revision: 16098
- use system libpng
- remove support for obsolete distros
- 1.5.2


* Tue Feb 13 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1:1.5.1-2mdv2007.1
+ Revision: 120646
- fix build on lib64 platforms

* Mon Oct 30 2006 David Walluck <walluck@mandriva.org> 1:1.5.1-1mdv2007.1
+ Revision: 73689
- 1.5.1

* Thu Oct 19 2006 David Walluck <walluck@mandriva.org> 1:1.5.0-4mdv2007.1
+ Revision: 66439
- bump release
- always use threaded version of qt
- set QTDIR on x86_64
- bump release
- fix build on i586
- 1.5.0

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Helio Chissini de Castro <helio@mandriva.com>
    - Uploading package ./doxygen

* Thu Dec 09 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3.9.1-1mdk
- 1.3.9.1
- drop P1 (fixed upstream)
- wipe out buildroot before installing

* Sat Sep 18 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.7-4mdk
- use mdkversion

* Fri Jun 04 2004 Laurent Montel <lmontel@mandrakesoft.com> 1.3.7-3mdk
- Rebuild against libstc++

* Sat May 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3.7-2mdk
- fix buildrequires
- don't ship LICENSE, it's gpl..
- cosmetics

* Sat May 15 2004 Michael Scherer <misc@mandrake.org> 1.3.7-1mdk
- New release 1.3.7
- remove Packager

